%global commit 253df0020d720e526e71738eab3595828546e855
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# Settings for httpd 2.2:
%global _httpd_apxs       %{_sbindir}/apxs
%global _httpd_confdir    %{_sysconfdir}/httpd/conf.d
%global _httpd_modconfdir %{_sysconfdir}/httpd/conf.d
%global _httpd_moddir     %{_libdir}/httpd/modules

Name:           mod_proxy_fcgi
Version:        2.4.10
Release:        2%{?dist}
Summary:        FastCGI support module for mod_proxy 2.2

License:        ASL 2.0
URL:            http://httpd.apache.org/docs/2.4/mod/mod_proxy_fcgi.html
Source0:        https://github.com/ceph/mod-proxy-fcgi/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        mod_proxy_fcgi.conf

BuildRequires:  autoconf
BuildRequires:  httpd-devel < 2.3
Requires:       httpd < 2.3
# mmn from httpd-devel-2.2.15-39.el6
Requires:       httpd-mmn = 20051115

%description
mod_proxy_fcgi is a proxy module for the Apache 2.2 HTTP server.

This package is only relevant for Apache 2.2, since Apache 2.4 includes this
module as part of the main web server package.

%prep
%setup -qn mod-proxy-fcgi-%{commit}

%build
autoconf
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_httpd_confdir}
install -d -m0755 %{buildroot}%{_httpd_confdir}
install -Dp -m0644 %{SOURCE1} %{buildroot}%{_httpd_confdir}/mod_proxy_fcgi.conf

%files
%doc LICENSE README
%{_httpd_moddir}/mod_proxy_fcgi.so

%config(noreplace) %{_httpd_confdir}/*.conf

%changelog
* Thu Jan 15 2015 Ken Dreyer <kdreyer@redhat.com> - 2.4.10-2
- Update to tip of Git master branch
- Correct License tag
- Update Source0 URL to reflect the new upstream Git repository location

* Tue Nov 25 2014 Ken Dreyer <kdreyer@redhat.com> - 2.4.10-1
- New package
